Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs
Class DistanceValueInput

    java.lang.Object
      info.webinsel.util.swing.DecimalInput
          info.bioinfweb.treegraph.gui.dialogs.DecimalUnitInput
              info.bioinfweb.treegraph.gui.dialogs.DistanceValueInput

    public class DistanceValueInput

extends DecimalUnitInput

Field Summary
`static java.lang.String` | `UNIT_MILLIMETERS`
`static java.lang.String` | `UNIT_POINTS`

Fields inherited from class info.webinsel.util.swing.DecimalInput
`DOUBLE_FORMAT, FLOAT_FORMAT, INTEGER_FORMAT`

Constructor Summary
`DistanceValueInput(java.lang.String labelText, javax.swing.JPanel panel, int y)`

Method Summary
`void` | `assignValueTo(DistanceValue distanceValue)` Assigns the current value of the text-field to the given `DistanceValue`.
`protected void` | `customizeComboBox(javax.swing.JComboBox comboBox)`
`DistanceValue` | `getValue()`
`void` | `setValue(DistanceValue distanceValue)` Assigns the given value to the text-field.

Methods inherited from class info.bioinfweb.treegraph.gui.dialogs.DecimalUnitInput
`getComboBox, setEnabled`

Methods inherited from class info.webinsel.util.swing.DecimalInput
`createLabelTable, getChangeMonitor, getDecimalFormat, getLabel, getTextField, parseDouble, parseFloat, parseInt, parseLong, setDecimalFormatStr, setValue, setValue, setValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNIT_MILLIMETERS

    public static final java.lang.String UNIT_MILLIMETERS

See Also:
  Constant Field Values

### UNIT_POINTS

    public static final java.lang.String UNIT_POINTS

See Also:
  Constant Field Values

Constructor Detail

### DistanceValueInput

    public DistanceValueInput(java.lang.String labelText,
                              javax.swing.JPanel panel,
                              int y)

Method Detail

### customizeComboBox

    protected void customizeComboBox(javax.swing.JComboBox comboBox)

  Specified by:
    `customizeComboBox` in class `DecimalUnitInput`

### setValue

    public void setValue(DistanceValue distanceValue)

  Assigns the given value to the text-field.

  Parameters:
    `distanceValue` -

### assignValueTo

    public void assignValueTo(DistanceValue distanceValue)

  Assigns the current value of the text-field to the given `DistanceValue`.

  Parameters:
    `distanceValue` -

### getValue

    public DistanceValue getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD